export function getRootCause(error) {
    if (error.source) {
        return getRootCause(error.source);
    }
    else {
        return error;
    }
}


export function fullMessage(error) {
    let msg = error?.msg ? error.msg : error;
    if (error.source) {
        msg = `${msg}: ${fullMessage(error.source)}`;
    }
    return msg
}
