CREATE TABLE docker_credentials (
    id BLOB UNIQUE NOT NULL,
    -- The Docker credential helper protocol only sends the server_url, so
    -- we should guarantee that we will only ever have one matching credential.
    -- Also, it's easier to go from unique -> not-unique than vice versa if we
    -- decide that's necessary in the future
    server_url TEXT UNIQUE NOT NULL,
    username TEXT NOT NULL,
    secret_enc BLOB NOT NULL,
    nonce BLOB NOT NULL
);
